---
#
# Поставить сервис Patroni на 3 виртуальные машины.
# Настроить кластер так, чтобы определение SLAVE-MASTER происходило автоматически.
#

- name: Install and configure Consul on server
  hosts: servers
  become: yes
  remote_user: clo
  roles:
    - { name: consul, tags: consul }
  vars:
    is_server: true

- name: Install and configure Patroni and Consul on clients
  hosts: clients
  become: yes
  remote_user: usr_patroni
  roles:
    - { name: consul, tags: consul }
    - { name: patroni, tags: patroni }
  vars:
    is_server: false
    server_addr: 192.168.101.25
